Get the firm's Audit tab entries Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/audit-log

Query parameters

  • filter[source] string

    Filter by source. One of: head_office, firm, automated.

  • filter[account] string

    Filter by the author's account UUID.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • tag string
      • tag_label string
      • central_log_chip string
      • title string
      • area string
      • event string
      • changed_fields_count integer
      • change_summary string
      • subject object
        Hide subject attributes Show subject attributes object
        • type string
        • uuid string
      • ip_address string
      • source string
      • source_label string
      • app string
      • app_label string
      • created_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/audit-log
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/audit-log' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "2faabfee-7865-471d-b471-f1eb923903ee",
        "tag": "status",
        "tag_label": "Status",
        "central_log_chip": "updated",
        "title": "Firm status changed",
        "area": "Firm details",
        "event": "updated",
        "changed_fields_count": 1,
        "change_summary": "Suspended → Active",
        "subject": {
          "type": "firm",
          "uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52"
        },
        "ip_address": "203.0.113.10",
        "source": "head_office",
        "source_label": "Head office",
        "app": "enterprise_hub",
        "app_label": "Enterprise Hub",
        "created_at": "2026-10-19T22:30:48+01:00"
      }
    ]
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}